All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class TriStateCheckBox.TriStateCheckBoxModel

    com.sas.swing.visuals.TriStateCheckBox.TriStateCheckBoxModel

All Implemented Interfaces:
  java.awt.ItemSelectable, java.io.Serializable, javax.swing.ButtonModel

Enclosing class:
  TriStateCheckBox

    public static class TriStateCheckBox.TriStateCheckBoxModel

The TriStateCheckBox model

See Also:
  Serialized Form

Field Summary
`protected boolean` | `cycleEnabled` Whether the checkBox cycles through all three values
`protected int` | `selectedValue` Current value of the checkBox

Constructor Summary
`TriStateCheckBox.TriStateCheckBoxModel()`

Method Summary
`int` | `getSelectedValue()` Returns the current value of the checkBox.
`boolean` | `isCycleEnabled()` Returns whether the checkbox cycles through all three values.
`void` | `setCycleEnabled(boolean cycle)` Sets whether the checkBox should cycle through all three values.
`void` | `setSelected(boolean b)` Increments the selected value of the checkBox.
`void` | `setSelectedValue(int value)` Sets the current value of the checkBox.

Field Detail

### selectedValue

    protected int selectedValue

  Current value of the checkBox

### cycleEnabled

    protected boolean cycleEnabled

  Whether the checkBox cycles through all three values

Constructor Detail

### TriStateCheckBox.TriStateCheckBoxModel

    public TriStateCheckBox.TriStateCheckBoxModel()

Method Detail

### setSelected

    public void setSelected(boolean b)

  Increments the selected value of the checkBox.

  Specified by:
    `setSelected` in interface `javax.swing.ButtonModel`
  Overrides:
    `setSelected` in class `javax.swing.JToggleButton.ToggleButtonModel`
  Parameters:
    `b` - is not used due to overriding of method

### setSelectedValue

    public void setSelectedValue(int value)

  Sets the current value of the checkBox.

  Parameters:
    `value` - The new value of the checkBox

### getSelectedValue

    public int getSelectedValue()

  Returns the current value of the checkBox.

### setCycleEnabled

    public void setCycleEnabled(boolean cycle)

  Sets whether the checkBox should cycle through all three values.

  Parameters:
    `b` - if true, the checkBox cycles, or else the checkBox switches between ON and OFF once those values have been reached.

### isCycleEnabled

    public boolean isCycleEnabled()

  Returns whether the checkbox cycles through all three values.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.